/* Layout */
import Layout from '@/layout'

const clubRouter = {
  path: '/club',
  component: Layout,
  redirect: '/club/list',
  name: 'Club',
  meta: { title: '会所管理', icon: 'tree' },
  children: [
    {
      path: 'list',
      name: 'List',
      component: () => import('@/views/club/list'),
      meta: { title: '会所列表', icon: 'list' }
    },
    {
      path: 'form',
      name: 'Form',
      component: () => import('@/views/club/form'),
      meta: { title: '上线会所', icon: 'form' }
    },
    {
      path: 'operateList',
      component: () => import('@/views/club/operateList'),
      name: 'OperateList',
      meta: { title: '查看运营人员', noCache: true, activeMenu: '/club/list' },
      hidden: true
    },
    {
      path: 'editForm',
      component: () => import('@/views/club/editForm'),
      name: 'EditForm',
      meta: { title: '编辑会所', noCache: true, activeMenu: '/club/list' },
      hidden: true
    }
  ]
}

export default clubRouter
